# Rspec::Flaky::Test

Re-runs tests marked as flaky to bring down the number of false positives. Runs on RSpec 3.0 or higher.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'rspec-flaky-test'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install rspec-flaky-test

## Usage

Add this line to your spec_helper.rb file:

```ruby
Rspec::Flaky::Test.apply!
```

And mark any flaky specs like so:


```ruby
it 'should periodically fail', flaky: true do
  # A test that is flaky goes here.
end
```

By default, flaky specs are ran 3 times. You can change this value with:

```ruby
RSpec.configure do |config|
  config.flaky_tries = 3
end
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release` to create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

1. Fork it ( https://github.com/publitas/rspec-flaky-test/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create a new Pull Request
